/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

@font-face {
  font-family:"Dyer";
  src: url("/fonts/Dyer.TTF");
}
@font-face {
  font-family:"Effortless";
  src: url("/fonts/Effortless.ttf");
}
@font-face {
  font-family:"Homespun";
  src: url("/fonts/Homespun.ttf");
}
@font-face {
  font-family:"MilkyWell";
  src: url("/fonts/MilkyWell.TTF");
}
@font-face {
  font-family:"YesFont";
  src: url("/fonts/YesFont.ttf");
}

body {
  background-color: black;
  background-image: url("mountains.jpg");
   background-repeat:no-repeat;
   background-size:cover;
  background-attachment: fixed;
  color: white;
  font-family: Arial, sans-serif;
}

.buttonwrap {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
}

.font-cycle {
  font-family:"Dyer"; /* Your default font */
  cursor: pointer;
}

.font-cycle:hover {
  animation: fontSwitcher 3s infinite;
}

@keyframes fontSwitcher {
  0%   { font-family: 'Dyer'; }
  20%  { font-family: 'Effortless'; }
  40%  { font-family: 'Homespun'; }
  60%  { font-family: 'MilkyWell'; }
  80% { font-family: 'YesFont'; }
}

.no-link-effects a {
  text-decoration: none; /* Removes underline */
  color: inherit; /* Keeps the parent text color */
}

.topnav {
  display:flex;
  gap:25px;
  margin-left:-8px;
  margin-right:-8px;
  padding-top:5px;
  padding-bottom:5px;
  background:rgba(0,0,0,0.5);
  justify-content:center;
}

.header {
  color:white;
  -webkit-text-stroke: 1px black;
  background-image: url("sky.jpg");
  margin-top:-8px;
  margin-left:-8px;
  margin-right:-8px;
  padding-top:5px;
  padding-bottom:5px;
  text-align:center;
  border-bottom: 5px groove white;
}

.row {
  margin-top:50px;
  align-items:flex-start;
  display:flex;
  gap:25px;
  width:75%;
  margin-left:auto;
  margin-right:auto;
  justify-content:center;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

.center {
  display:block;
  margin-left:auto;
  margin-right:auto;
}

.left {
  width:20%;
}

.right {
  width:80%;
  text-align:center;
}

.main {
  padding: 0px 20px 20px 20px;
  background:white;
  background-image: url("parchment.jpg");
  border: 10px ridge #E1C16E;
  color:black;
}

.story {
  max-width:600px;
  margin:auto;
}